encoding.h File Reference

Encoding utilities for serialization (internal). More...

`#include <memory.h>`
`#include "bmutil.h"`
Include dependency graph for encoding.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | bm::encoder
| Memory encoding. More...
class | bm::decoder_base
| Base class for all decoding functionality. More...
class | bm::decoder
| Class for decoding data from memory buffer. More...
class | bm::decoder_little_endian
| Class for decoding data from memory buffer. More...
class | bm::bit_out< TEncoder >
| Byte based writer for un-aligned bit streaming. More...
class | bm::bit_in< TDecoder >
| Byte based reader for un-aligned bit streaming. More...
class | bm::gamma_encoder< T, TBitIO >
| Functor for Elias Gamma encoding. More...
class | bm::gamma_decoder< T, TBitIO >
| Elias Gamma decoder. More...

## Namespaces

namespace | bm

## Typedefs

typedef decoder | bm::decoder_big_endian
| Class for decoding data from memory buffer.

## Detailed Description

Encoding utilities for serialization (internal).

Definition in file encoding.h.